Package: org.gradle.api.tasks

## [Java] Interface ConventionValue

- A ConventionValue can be assigned to a org.gradle.api.internal.IConventionAware task. If a property of such an object is not set internally, a ConventionValue is used to calculate the value for the property.

  deprecated:
    Use groovy.lang.Closure or Callable instead.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `getValue(Convention convention, org.gradle.api.internal.IConventionAware conventionAwareObject)` Returns some object.

- - ### Method Detail

    - #### public Object getValue(Convention convention, org.gradle.api.internal.IConventionAware conventionAwareObject)

      Returns some object.

      Parameters:
        `convention` - The convention object belonging to the task's project
        `conventionAwareObject` - The convention aware object